# Class default

#### Implements

- IpfsNode

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/kubo.ts:16

#####
Index

### Constructors

constructor

### Properties

nodeType

### Accessors

config
isStarted

### Methods

add
cat
connectPeer
getPeers
info
init
ls
pin
start
stat
stop

##
Constructors

### constructor

- new default(): default

- #### Returns default

##
Properties

### `Readonly` nodeType

nodeType: IpfsNodeType = 'external'

Implementation of IpfsNode.nodeType

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/kubo.ts:17

##
Accessors

### config

- get config(): IpfsNodePrperties

- #### Returns IpfsNodePrperties

  Implementation of IpfsNode.config

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/kubo.ts:23

### isStarted

- get isStarted(): boolean

- #### Returns boolean

  Implementation of IpfsNode.isStarted

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/kubo.ts:29

##
Methods

### add

- add(content, options?): Promise<string>

- #### Parameters

  - content: string | File
  - options: AbortOptions = {}

  #### Returns Promise<string>

  Implementation of IpfsNode.add

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/kubo.ts:78

### cat

- cat(cid, options?): AsyncIterable<Uint8Array>

- #### Parameters

  - cid: string
  - options: CatOptions = {}

  #### Returns AsyncIterable<Uint8Array>

  Implementation of IpfsNode.cat

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/kubo.ts:74

### connectPeer

- connectPeer(address): Promise<boolean>

- #### Parameters

  - address: string

  #### Returns Promise<boolean>

  Implementation of IpfsNode.connectPeer

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/kubo.ts:93

### getPeers

- getPeers(): Promise<string[]>

- #### Returns Promise<string[]>

  Implementation of IpfsNode.getPeers

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/kubo.ts:86

### info

- info(): Promise<{
  agentVersion: string;
  id: string;
  repoSize: bigint;
  }>

- #### Returns Promise<{
  agentVersion: string;
  id: string;
  repoSize: bigint;
  }>

  Implementation of IpfsNode.info

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/kubo.ts:105

### init

- init(options?): Promise<void>

- #### Parameters

  - `Optional` options: InitOptions

  #### Returns Promise<void>

  Implementation of IpfsNode.init

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/kubo.ts:43

### ls

- ls(): AsyncIterable<LsResult>

- #### Returns AsyncIterable<LsResult>

  Implementation of IpfsNode.ls

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/kubo.ts:101

### pin

- pin(cid, options?): Promise<string>

- #### Parameters

  - cid: string
  - options: AbortOptions = {}

  #### Returns Promise<string>

  Implementation of IpfsNode.pin

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/kubo.ts:82

### start

- start(): Promise<void>

- #### Returns Promise<void>

  Implementation of IpfsNode.start

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/kubo.ts:91

### stat

- stat(cid, options?): Promise<IpfsFileStats>

- #### Parameters

  - cid: string
  - options: AbortOptions = {}

  #### Returns Promise<IpfsFileStats>

  Implementation of IpfsNode.stat

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/kubo.ts:58

### stop

- stop(): Promise<void>

- #### Returns Promise<void>

  Implementation of IpfsNode.stop

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/kubo.ts:90